%global project     clojure
%global groupId     org.clojure
%global artifactId  clojure
%global archivename %{project}-%{artifactId}
%global full_version %{version}

Name:           clojure
Epoch:          1
Version:        1.9.0
Release:        1%{?dist}
Summary:        A dynamic programming language that targets the Java Virtual Machine

Group:          Development/Languages
License:        EPL
URL:            http://clojure.org/
Source0:        https://github.com/%{name}/%{name}/archive/%{name}-%{full_version}.zip

Source1:        clojure.sh

BuildArch:      noarch

BuildRequires:  javapackages-tools
BuildRequires:  maven-local
BuildRequires:  sonatype-oss-parent
BuildRequires:  ant >= 1.6
BuildRequires:  objectweb-asm
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  clojure-spec-alpha  >= 1:0.1.134
BuildRequires:  clojure-core-specs-alpha  >= 1:0.1.24
BuildRequires:  clojure-maven-plugin >= 1:1.8.1
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-plugin-build-helper
BuildRequires:  maven-antrun-plugin
Requires:       java-headless >= 1:1.6
Requires:       objectweb-asm
Requires:       clojure-spec-alpha  >= 1:0.1.143
Requires:       clojure-core-specs-alpha  >= 1:0.1.24

%description 
Clojure is a dynamic programming language that targets the Java
Virtual Machine. It is designed to be a general-purpose language,
combining the approachability and interactive development of a
scripting language with an efficient and robust infrastructure for
multithreaded programming. Clojure is a compiled language - it
compiles directly to JVM bytecode, yet remains completely
dynamic. Every feature supported by Clojure is supported at
runtime. Clojure provides easy access to the Java frameworks, with
optional type hints and type inference, to ensure that calls to Java
can avoid reflection.

%prep
%setup -q -n %{archivename}-%{full_version}
%pom_remove_dep org.codehaus.jsr166-mirror:jsr166y
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin

%build
%mvn_build -f 

%install
# startup script
install -d -m 755 %{buildroot}%{_bindir}
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}

%mvn_install

%files -f .mfiles
%files -f .mfiles-javadoc
%doc epl-v10.html changes.md readme.txt 
%{_bindir}/%{name}

%changelog
* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.9.0-1
- Update to upstream version 1.9.0
- Downgrade to Java 1.6

* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.9.0-0.beta3.2
- Include spec.alpha and core.specs.alpha to classpath in the command script

* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.9.0-0.beta3.1
- Update to upstream release 1.9.0-beta3
- Switch to use maven building
- Remove plugin org.sonatype.plugins:nexus-staging-maven-plugin
- Update to dependency JDK 1.8
- Remove jsr166 dependency from pom 

* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.9.0-0.alpha15.2
- Update to upstream release 1.9.0-alpha15

* Sat Dec 15 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.8.0-3
- Remove conditional fedora >20 for java-headless requirement 

* Thu Dec 13 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.8.0-2
- Add sonatype-oss-parent as build requirement

* Thu Dec 13 2018 Markku Korkeala <markku.korkeala@iki.fi> - 1:1.8.0-1
- Update to upstream release 1.8.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-0.beta1.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-0.beta1.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-0.beta1.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-0.beta1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.8.0-0.beta1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 15 2015 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.8.0-0.beta1
- New prerelease of Clojure 1.8.0

* Wed Jun 17 2015 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.7.0-0.5
- New upstream release (clojure-1.7.0-RC2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.7.0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun  5 2015 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.7.0-0.3
- New upstream release

* Fri May  1 2015 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.7.0-0.2
- New upstream release

* Tue Apr 14 2015 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.7.0-0.1
- New upstream release

* Thu Jul 24 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.6.0-3
- Migrating to the new JAVA packaging guidelines

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 25 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.6.0-1
- New upstream release

* Mon Mar 24 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.6.0-0.5
- New release candidate of clujure 1.6.0

* Tue Mar 18 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.6.0-0.3
- Relöease candidate of clojure 1.6.0

* Wed Mar  5 2014 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.6.0-0.2
- New upstream pre-release
- Add support for headless java (#1068005)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.5.1-1
- New upstream release.

* Sat Mar  2 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.5.0-1
- New upstream release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.5.0-0.RC1.1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1:1.5.0-0.RC1.1.1
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Dec 24 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.5.0-0.RC1.1
- Use -Dmaven.test.skip=1 to sip test run

* Sun Dec 23 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1:1.5.0-0.RC1
- New upstream release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun  6 2012 Michel Salim <salimma@fedoraproject.org> - 1:1.4.0-2
- Update to better follow packaging guidelines

* Tue Apr 17 2012 Jochen Schmitt <Jochen herr-schmitt de> 1:1.4.0-1
- New upstream release

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 25 2011 Jochen Schmitt <Jochen herr-schmitt de> 1:1.3.0-1
- New upstream release
- Remove temp. patch to resolve JDK-1.7 issue

* Wed Sep 21 2011 Jochen Schmitt <Jochen herr-schmitt de> 1:1.3.0-0.1
- New upstrem release
- Remove no-classpath patch (#684060)
- Add patch to resolve JDK-1.7 related issues with test suite

* Tue Jul 12 2011 Jochen Schmitt <Jochen herr-schmitt de> 1:1.2.1-1
- New minor bug fixing release from upstream

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 20 2010 Jochen Schmitt <Jochen herr-schmitt de> 1:1.2.0-1
- New upstream release

* Wed Jan 20 2010 Jochen Schmitt <Jochen herr-schmitt de> 1:1.1.0-1
- New upstream release

* Wed Dec  2 2009 Jochen Schmitt <Jochen herr-schmitt de> 1:1.0.0-5
- Installing maven pom file

* Wed Dec  2 2009 Jochen Schmitt <Jochen herr-schmitt de> 1:1.0.0-3
- Add Epoch to get proper EVR path

* Tue Dec  1 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.0.0-2
- Forgot uploading soruces

* Tue Dec  1 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.0.0-1
- New upstream release
- change license tag to EPL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090320-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 20 2009 Colin Walters <walters@verbum.org> - 20090320
- New upstream

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20081217-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Colin Walters <walters@verbum.org> - 20081217-1
- New upstream

* Fri Oct 24 2008 Colin Walters <walters@verbum.org> - 20080916-2
- BR OpenJDK, we need 1.6

* Tue Sep 30 2008 Colin Walters <walters@verbum.org> - 20080916-1
- initial version

